#!/bin/bash

TEMP=/var/run/config_fstap.temp
changed=no

if [ ! -e /etc/hotplug/hotplug.subfs.functions ]; then
  exit
fi

. /etc/hotplug/hotplug.subfs.functions

for i in /dev/fd0 /dev/fd1; do
   # check system
   grep -q ^$i /etc/fstab && continue
   grep -q ^#$i /etc/fstab && continue
   /usr/sbin/hwscan --show $i > $TEMP
   grep -q 'Config Status:.*cfg=yes' $TEMP && continue
   grep -q 'Config Status:.*avail=yes' $TEMP || continue

   # prepare system
   mp=/media/floppy${i:0-1}
   mp=${mp%0}
   mkdir -p $mp || continue
   sed "$ a\
$i	$mp	subfs	fs=floppyfss,procuid,nodev,nosuid,sync 0 0" \
       /etc/fstab > /etc/fstab.auto_config || continue
   mv /etc/fstab.auto_config /etc/fstab
   mount $mp || continue
   /usr/sbin/hwscan --cfg=yes $i
   changed=yes
done

if [ $changed = "yes" ]; then
   # create icons
   coldplug_create_subfs

   # trigger event
   rm -f /var/lib/hardware/unique-keys/.update
   touch /var/lib/hardware/unique-keys/.update

   exit 0
fi
exit 1
